Name:           perl-Net-GitHub 
Summary:        Perl interface for github.com 
Version:        0.22
Release:        1%{?dist}
License:        GPL+ or Artistic 
Group:          Development/Libraries
Source0:        http://search.cpan.org/CPAN/authors/id/F/FR/FRANCKC/Net-GitHub-%{version}.tar.gz
URL:            http://search.cpan.org/dist/Net-GitHub
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

BuildRequires:  perl(Any::Moose)
BuildRequires:  perl(CPAN)
BuildRequires:  perl(Crypt::SSLeay)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(HTML::TreeBuilder)
BuildRequires:  perl(JSON::Any)
BuildRequires:  perl(Test::MockModule)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(WWW::Mechanize::GZip)

Requires:       perl(Any::Moose)
# Crypt::SSLeay for tests subpackage
Requires:       perl(Crypt::SSLeay)
Requires:       perl(HTML::TreeBuilder)
Requires:       perl(JSON::Any)
Requires:       perl(URI::Escape)
Requires:       perl(WWW::Mechanize::GZip)


%{?perl_default_filter}
%{?perl_default_subpackage_tests}

%description
GitHub (http://github.com) is a popular git host; this package is a Perl API
for working with GitHub users and repositories.

%prep
%setup -q -n Net-GitHub-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc Changes README 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Fri Jun  4 2010 Petr Pisar <ppisar@redhat.com> - 0.22-1
- 0.22 bump
- Update Source0 URL

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.20-2
- Mass rebuild with perl-5.12.0

* Sun Mar 14 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.20-1
- update by Fedora::App::MaintainerTools 0.006
- PERL_INSTALL_ROOT => DESTDIR
- updating to latest GA CPAN version (0.20)
- dropped old BR on perl(Test::Pod)
- added a new req on perl(Any::Moose) (version 0)
- added a new req on perl(Crypt::SSLeay) (version 0)
- added a new req on perl(HTML::TreeBuilder) (version 0)
- added a new req on perl(JSON::Any) (version 0)
- added a new req on perl(URI::Escape) (version 0)
- added a new req on perl(WWW::Mechanize::GZip) (version 0)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.19-3
- rebuild against perl 5.10.1

* Tue Oct 13 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.19-2
- add br on CPAN (M::I)

* Sat Sep 26 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.19-1
- update filtering
- submission

* Sat Sep 26 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.19-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)
